Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.encoding
Interface XMLDeserializer

public interface XMLDeserializer

Provides a facility for importing ALE API complex types from XML. NOTE: The implementations for this interface are guaranteed to be thread-safe.

Method Summary
`ECReports` | `deserializeECReports(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `ECReports` instance.
`ECReports` | `deserializeECReports(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `ECReports` instance.
`ECSpec` | `deserializeECSpec(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `ECSpec` instance.
`ECSpec` | `deserializeECSpec(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `ECSpec` instance.
`ECSpecInfo` | `deserializeECSpecInfo(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `ECSpecInfo` instance.
`ECSpecInfo` | `deserializeECSpecInfo(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `ECSpecInfo` instance.
`ECSubscriptionControls` | `deserializeECSubscriptionControls(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `ECSubscriptionControls` instance.
`ECSubscriptionControls` | `deserializeECSubscriptionControls(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `ECSubscriptionControls` instance.
`ECSubscriptionInfo` | `deserializeECSubscriptionInfo(java.io.Reader reader)` Reads XML from the specified `reader` and constructs the corresponding `ECSubscriptionInfo` instance.
`ECSubscriptionInfo` | `deserializeECSubscriptionInfo(java.lang.String xmlStr)` Reads XML from the specified string and constructs the corresponding `ECSubscriptionInfo` instance.

Method Detail

### deserializeECSpec

    public ECSpec deserializeECSpec(java.io.Reader reader)
                             throws java.io.IOException,
                                    XMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `ECSpec` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `ECSpec`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `XMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeECSpec

    public ECSpec deserializeECSpec(java.lang.String xmlStr)
                             throws XMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `ECSpec` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `ECSpec`.
  Throws:
    `XMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeECSpecInfo

    public ECSpecInfo deserializeECSpecInfo(java.io.Reader reader)
                                     throws java.io.IOException,
                                            XMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `ECSpecInfo` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `ECSpecInfo`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `XMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeECSpecInfo

    public ECSpecInfo deserializeECSpecInfo(java.lang.String xmlStr)
                                     throws XMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `ECSpecInfo` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `ECSpecInfo`.
  Throws:
    `XMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeECReports

    public ECReports deserializeECReports(java.io.Reader reader)
                                   throws java.io.IOException,
                                          XMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `ECReports` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `ECReports`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `XMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeECReports

    public ECReports deserializeECReports(java.lang.String xmlStr)
                                   throws XMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `ECReports` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `ECReports`.
  Throws:
    `XMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeECSubscriptionControls

    public ECSubscriptionControls deserializeECSubscriptionControls(java.io.Reader reader)
                                                             throws java.io.IOException,
                                                                    XMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `ECSubscriptionControls` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `ECSubscriptionControls`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `XMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeECSubscriptionControls

    public ECSubscriptionControls deserializeECSubscriptionControls(java.lang.String xmlStr)
                                                             throws XMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `ECSubscriptionControls` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `ECSubscriptionControls`.
  Throws:
    `XMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeECSubscriptionInfo

    public ECSubscriptionInfo deserializeECSubscriptionInfo(java.io.Reader reader)
                                                     throws java.io.IOException,
                                                            XMLDeserializerException

  Reads XML from the specified `reader` and constructs the corresponding `ECSubscriptionInfo` instance.

  Parameters:
    `reader` - The `Reader` instance to read from.
  Returns:
    The deserialized `ECSubscriptionInfo`.
  Throws:
    `java.io.IOException` - An I/O error occurred while deserializing the XML from the specified reader.
    `XMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

### deserializeECSubscriptionInfo

    public ECSubscriptionInfo deserializeECSubscriptionInfo(java.lang.String xmlStr)
                                                     throws XMLDeserializerException

  Reads XML from the specified string and constructs the corresponding `ECSubscriptionInfo` instance.

  Parameters:
    `xmlStr` - The string to read from.
  Returns:
    The deserialized `ECSubscriptionInfo`.
  Throws:
    `XMLDeserializerException` - An error occurred while deserializing, including syntax errors or schema violations.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD